<template>
  <div class="monitoring-container">
    <h1>Тестовое Задание</h1>
    <div
      v-for="(list, indexRow) of GET_SEAT_LIST"
      :key="indexRow"
      class="cinema-seates-row"
    >
      <app-cinema-seats
        v-for="(info, indexSeats) of list.rowSeats"
        :key="indexSeats"
        :cinemaInfo="{
          indexRowCinema: indexRow,
          indexSeats: indexSeats,
          price: info.price,
          isFree: info.isFree,
          seatId: info.seatId,
          rowId: list.rowId
        }"
        @showAlert="showAlertMessage($event)"
      ></app-cinema-seats>
    </div>
    <app-alert-message
      v-if="showAlert"
      :type="alertType"
      :message="messageHandling(alertType)"
    ></app-alert-message>
  </div>
</template>

<style lang="scss">
.monitoring-container {
  max-width: 900px;
  margin: auto;
}
.cinema-seates-row {
  display: flex;
  align-items: center;
  justify-content: space-around;
  margin-bottom: 15px;
}
</style>
<script>
import CinemaSeats from "../components/cinema-seats/cinema-seats.vue";
import AlertMessage from "../shared/alert-message/alert-message.vue";
import { mapGetters } from "vuex";
export default {
  data() {
    return {
      showAlert: null,
      alertType: Boolean
    };
  },
  components: {
    "app-cinema-seats": CinemaSeats,
    "app-alert-message": AlertMessage
  },
  computed: {
    ...mapGetters(["GET_SEAT_LIST"])
  },
  methods: {
    showAlertMessage(evn) {
      this.showAlert = true;
      this.alertType = evn;
      setTimeout(() => {
        this.showAlert = false;
      }, 5000);
    },
    messageHandling(type) {
      if (type) {
        return "Место забронировано";
      } else {
        return "Брон отменено";
      }
    }
  }
};
</script>
